<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ta="http://soboleo.com/tagAssignment" xmlns:t="http://soboleo.com/types" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://soboleo.com/tagAssignment">
<xsd:import namespace="http://soboleo.com/types" schemaLocation="types.xsd"/>
    <xsd:complexType name="tagFrequencyEntry">
        <xsd:sequence>
            <xsd:element name="tagURI" type="xsd:string"/>
            <xsd:element name="frequency" type="xsd:int"/>
        </xsd:sequence>
    </xsd:complexType>
          <xsd:element name="getTagAssignmentsRequest">
        <xsd:complexType>
          <xsd:sequence>
          	<xsd:element maxOccurs="1" minOccurs="0" name="tagURI" type="xsd:string">
          		<xsd:annotation>
          			<xsd:documentation>local tag URI</xsd:documentation>
          		</xsd:annotation></xsd:element>
          	<xsd:element maxOccurs="1" minOccurs="0" name="makerURI" type="xsd:string">
                            <xsd:annotation>
                            	<xsd:documentation>expected format:

mailto:user@example.com</xsd:documentation></xsd:annotation>
          	</xsd:element>
          	<xsd:element maxOccurs="1" minOccurs="0" name="resourceURI" type="xsd:string">
                            <xsd:annotation>
                            	<xsd:documentation>local resource URI (either digital resource or person)</xsd:documentation>
                            </xsd:annotation>
          	</xsd:element>
          	<xsd:element maxOccurs="1" minOccurs="1" name="agentKey" type="xsd:string">
          	</xsd:element>
          	<xsd:element maxOccurs="1" minOccurs="1" name="agentURI" type="xsd:string">
          		<xsd:annotation>
          			<xsd:documentation>expected format:

mailto:user@example.com</xsd:documentation>
          		</xsd:annotation></xsd:element>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getTagAssignmentsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element maxOccurs="unbounded" minOccurs="0" name="getTagAssignmentResult" type="ta:tagAssignment"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
        
      <xsd:complexType name="tagAssignment">
      	<xsd:sequence>
      		<xsd:element maxOccurs="1" minOccurs="1" name="tagURI" type="xsd:string">
                        <xsd:annotation>
                        	<xsd:documentation>local tag URI
</xsd:documentation>
                        </xsd:annotation>
      		</xsd:element>

      		<xsd:element maxOccurs="unbounded" minOccurs="0" name="tagPrefLabel" type="t:LocalizedString"/>
      		<xsd:element maxOccurs="1" minOccurs="1" name="resourceURI" type="xsd:string">
                        <xsd:annotation>
                        	<xsd:documentation>local URI
</xsd:documentation>
                        </xsd:annotation>
      		</xsd:element>
      		<xsd:element maxOccurs="1" minOccurs="1" name="makerURI" type="xsd:string">
                        <xsd:annotation>
                        	<xsd:documentation>expected format:

mailto:agent@example.com
</xsd:documentation>
                        </xsd:annotation>
      		</xsd:element>
      		<xsd:element maxOccurs="1" minOccurs="1" name="taggingDate" type="xsd:dateTime">
      		</xsd:element>
      		<xsd:element maxOccurs="1" minOccurs="0" name="proxyURL" type="xsd:string">
                        <xsd:annotation>
                        	<xsd:documentation>website URL or person proxy URL</xsd:documentation>
                        </xsd:annotation>
      		</xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="createTagAssignmentRequest">
      	<xsd:complexType>
                    <xsd:annotation>
                    	<xsd:documentation>resourceURI or proxyURL has to be given</xsd:documentation>
                    </xsd:annotation>
                    <xsd:sequence>

      			<xsd:element maxOccurs="1" minOccurs="1" name="tagURI" type="xsd:string">
      			</xsd:element>

      			<xsd:element maxOccurs="1" minOccurs="0" name="resourceURI" type="xsd:string">
      			</xsd:element>
      			<xsd:element maxOccurs="1" minOccurs="0" name="proxyURL" type="xsd:string">
      			</xsd:element>
      			<xsd:element maxOccurs="1" minOccurs="1" name="agentKey" type="xsd:string">
      			</xsd:element>
      			<xsd:element maxOccurs="1" minOccurs="1" name="agentURI" type="xsd:string">
      				<xsd:annotation>
      					<xsd:documentation>expected format:

mailto:user@example.com</xsd:documentation>
      				</xsd:annotation></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="createTagAssignmentResponse">
      	<xsd:complexType>
      		<xsd:sequence>

      			<xsd:element name="tagAssignmentURI" type="xsd:string">
      				<xsd:annotation>
      					<xsd:documentation>local uri of the created tag assignment</xsd:documentation>
      				</xsd:annotation></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="getAssignedTagsByFrequencyRequest">
      	<xsd:complexType>
                    <xsd:annotation>
                    	<xsd:documentation>if makerURI and resourceURI and proxURL not defined, give back anything
resourceURI and proxyURL are mutually exclusive
</xsd:documentation>
                    </xsd:annotation>
                    <xsd:sequence>

                    	<xsd:element maxOccurs="1" minOccurs="0" name="makerURI" type="xsd:string">
                            <xsd:annotation>
                            	<xsd:documentation>                    				expected format:

                    				mailto:user@example.com</xsd:documentation></xsd:annotation>
                    	</xsd:element>
                    	<xsd:element maxOccurs="1" minOccurs="0" name="resourceURI" type="xsd:string">
                            <xsd:annotation>
                            	<xsd:documentation>local resource URI
</xsd:documentation>
                            </xsd:annotation>
                    	</xsd:element>
                    	<xsd:element maxOccurs="1" minOccurs="0" name="proxyURL" type="xsd:string">
                            <xsd:annotation>
                            	<xsd:documentation>url of the website or proxy url of the person</xsd:documentation>
                            </xsd:annotation>
                    	</xsd:element>
                    	<xsd:element maxOccurs="1" minOccurs="1" name="agentKey" type="xsd:string">
                    	</xsd:element>
                    	<xsd:element maxOccurs="1" minOccurs="1" name="agentURI" type="xsd:string">
                    		<xsd:annotation>
                    			<xsd:documentation>
                    				expected format:

                    				mailto:user@example.com
                    			</xsd:documentation>
                    		</xsd:annotation>
                    	</xsd:element>
                    </xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
      <xsd:element name="getAssignedTagsByFrequencyResponse">
      	<xsd:complexType>
      		<xsd:sequence>

      			<xsd:element maxOccurs="unbounded" minOccurs="0" name="getAssignedTagsByFrequencyResult" type="ta:tagFrequencyEntry"/>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
</xsd:schema>